#ifndef _area_business_post_area_hpp_
#define _area_business_post_area_hpp_

#include"area_business.h"

/*
	确定推送人员信息时的区域，每一个明确需要推送的区域，都要推送
*/
struct area_business_post_area:area_business
{
	int area_business_type()
	{
		return 1;
	}
	//将推送区域信息加入人员数据
	void on_enter(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data>&ptr);
	void on_hover(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr);
	//从人员数据中清除区域信息
	void on_leave(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr);
};

#endif

